------------------------------------------------------------------------------
--                                                                          --
--                               GNATemulator                               --
--                                                                          --
--                    Copyright (C) 2017, AdaCore                           --
--                                                                          --
-- GNATemulator is free software; you can redistribute it  and/or modify it --
-- under terms of the GNU General Public License as published by the Free   --
-- Software Foundation; either version 2, or (at your option) any later     --
-- version. GNATemulator is distributed in the hope that it will be useful, --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHAN-  --
-- TABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public --
-- License  for more details. You  should  have  received a copy of the GNU --
-- General Public License  distributed with GNAT; see file COPYING. If not, --
-- write  to  the Free  Software  Foundation,  59 Temple Place - Suite 330, --
-- Boston, MA 02111-1307, USA.                                              --
--                                                                          --
------------------------------------------------------------------------------

with Ada.Interrupts.Names; use Ada.Interrupts.Names;
with Ada.Interrupts; use Ada.Interrupts;
with System;

package Target_Support.Interrupt is

   External_Interrupt_Priority : constant System.Interrupt_Priority
     := System.Interrupt_Priority'First + 10;
   --  On aarch64 the 32 first IRQs are SW, reserved or for
   --  intercpu communication. IRQ_Raise (4) in Gnatbus or
   --  plugin will actually raise IRQ #36 in the guest.
   External_Interrupt          : constant Interrupt_ID
     := Interrupt_ID'First + 32 + 4;

   procedure Enable_External_Interrupt;
end Target_Support.Interrupt;
